if (APPLE)
    set(GOOPAX_BASEPATH "${_IMPORT_PREFIX}/goopax.framework")
else()
    set(GOOPAX_BASEPATH "${_IMPORT_PREFIX}")
endif()


find_path(goopax_license_path NAMES goopax_license.h PATHS "$ENV{GOOPAX_LICENSE_PATH}" "${GOOPAX_BASEPATH}/share/goopax/licenses")
if ("${goopax_license_path}" STREQUAL "goopax_license_path-NOTFOUND")
  message(SEND_ERROR "GOOPAX: No license file found in path '${GOOPAX_BASEPATH}/share/goopax/licenses' or in the path set by the environment variable GOOPAX_LICENSE_PATH.")
else()
  set_property(TARGET goopax_export APPEND PROPERTY
    INTERFACE_INCLUDE_DIRECTORIES "${goopax_license_path}"
    )
endif()


unset(GOOPAX_BASEPATH)
